<?php
//theme tgm register
function seatheme_theme_tgm_register(){
	$plugins = array(
 
		array(
			'name' 		=> 'WP Google Maps',
			'slug' 		=> 'wp-google-maps',
			'version'	=> '',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'SVG Support',
			'slug' 		=> 'svg-support',
			'version'	=> '',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'Permalinks Customizer',
			'slug' 		=> 'permalinks-customizer',
			'version'	=> '',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'Loco Translate',
			'slug' 		=> 'loco-translate',
			'version'	=> '',
			'required' 	=> false,
		),
		array(
			'name' 		=> 'BM Content Builder',
			'slug' 		=> 'bm-builder',
			'version'	=> '',
			'source'    => get_template_directory_uri() . '/functions/plugins/bm-builder.zip', 
			'required' 	=> true,
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		)

	);

	$config = array(
		'id'       	   => 'sea-theme',         	// Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',  						// Message to output right before the plugins table

	);

	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'seatheme_theme_tgm_register' );

//require tgm class
require_once get_template_directory() . '/functions/class/class-tgm-plugin-activation.php';
?>