<?php
/****************************************************************/
/*
/* Html
/*
/****************************************************************/

//Action Hook WP Title
add_filter('wp_title', 'seatheme_interface_wp_title', 10, 2);

//Action Web Head
add_action('seatheme_interface_webhead', 'seatheme_interface_webhead_viewport', 10);


/****************************************************************/
/*
/* Wrap
/*
/****************************************************************/

//Action Hook Wrap Before

add_filter('seatheme_interface_wrap_before', 'seatheme_interface_jplayer', 20); 
add_filter('seatheme_interface_wrap_before', 'seatheme_interface_wrap_outer_before', 25);
add_filter('seatheme_interface_wrap_before', 'seatheme_interface_page_loading', 15);
add_filter('seatheme_interface_wrap_before', 'seatheme_interface_menu_panel2', 10);


//Action Hook Wrap After
add_filter('seatheme_interface_wrap_after', 'seatheme_interface_wrap_outer_after', 10); 
add_filter('seatheme_interface_wrap_after', 'seatheme_interface_photoswipe', 20);
add_action('seatheme_interface_wrap_after', 'seatheme_interface_video_popup', 25);
add_action('seatheme_interface_wrap_after', 'seatheme_interface_cookie_consent_bar', 30);

/****************************************************************/
/*
/* Content
/*
/****************************************************************/

//Action Hook Content Before
add_filter('seatheme_interface_content_before', 'seatheme_interface_content_before', 5);
add_filter('seatheme_interface_content_before', 'seatheme_interface_archive_titlewrap', 25);


//Action Hook Content After
add_filter('seatheme_interface_content_after', 'seatheme_interface_content_after', 10);


/****************************************************************/
/*
/* Sidebar
/*
/****************************************************************/

//Action Hook Sidebar Widget
add_action('seatheme_interface_sidebar_widget', 'seatheme_interface_sidebar_widget', 10);


/****************************************************************/
/*
/* Archive
/*
/****************************************************************/

//Action Hook Archive Loop
add_action('seatheme_interface_archive_loop', 'seatheme_interface_archive_loop', 10);

//Action Hook Archive Pagination
add_action('seatheme_interface_archive_pagination', 'seatheme_interface_pagination', 10, 3);


/****************************************************************/
/*
/* Page
/*
/****************************************************************/

//Action Hook Page Content Before
add_action('seatheme_interface_page_content_before', 'seatheme_interface_page_content_before', 10);
add_action('seatheme_interface_page_content_before', 'seatheme_interface_page_title', 20);

//Action Hook Page Content After
add_action('seatheme_interface_page_content_after', 'seatheme_interface_page_content_after', 10);

//Action Hook Page Content
add_action('seatheme_interface_page_content', 'seatheme_interface_page_content', 10);
add_action('seatheme_interface_page_content', 'seatheme_interface_page_comment', 30);


/****************************************************************/
/*
/* Single
/*
/****************************************************************/

//Action Hook Single Content Before
add_action('seatheme_interface_single_content_before', 'seatheme_interface_single_content_before', 10);
//Action Hook Single Content After
add_action('seatheme_interface_single_content_after', 'seatheme_interface_single_content_after', 11);

//Action Hook Single Content
add_action('seatheme_interface_single_content', 'seatheme_interface_single_content', 10);
add_action('seatheme_interface_single_content', 'seatheme_interface_social_bar_and_navi', 21); 
add_action('seatheme_interface_single_content', 'seatheme_interface_single_comment', 30);


/****************************************************************/
/*
/* Header
/*
/****************************************************************/

//Action Hook Header
add_filter('seatheme_interface_header', 'seatheme_interface_header', 10);
add_filter('seatheme_interface_header', 'seatheme_interface_menu_hidden_panel', 10);
add_filter('seatheme_interface_header', 'seatheme_interface_related_portfolio_popup', 10);

/****************************************************************/
/*
/* Footer
/*
/****************************************************************/

//Action Hook Footer
add_action('seatheme_interface_footer', 'seatheme_interface_footer', 10);

/****************************************************************/
/*
/* Comment
/*
/****************************************************************/

//Action Hook Footer
//add_action('comment_form_after_fields', 'seatheme_interface_privacy_policy_message_html', 10);


	
?>