<?php
if ( is_home() ) { 
	global $paged;
	query_posts( array( 'paged' => $paged )	);	
}

if ( have_posts() ) { ?>
	
	<div class="archive-list">
        
		<?php while ( have_posts() ) { 

            the_post(); 
        
            //** Post format
            $get_post_format = ( ! get_post_format() ) ? 'standard' : get_post_format();

            if ( $get_post_format === 'image' || $get_post_format === 'gallery' ) {
                $get_post_format = 'standard'; 
            }
            
            seatheme_get_template_part( 'archive/loop-item', $get_post_format );
            
            //** Template Archive loop item      
        }
        
        //** Do Hook Archive Pagination
        /**
         * @hooked  seatheme_interface_pagination - 10
         */
        do_action( 'seatheme_interface_archive_pagination', '', 3, 'pagenums' ); ?>

    </div>
    
<?php } else { ?>

    <div class="archive-nopost container"><?php esc_html_e( 'Sorry, no articles','sea-theme' );?> </div> 
    
<?php } ?>

