<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * UX Content Builder Module field upload font.
 */
if ( ! function_exists( 'ux_cb_module_field_upload_font' ) ) {
	function ux_cb_module_field_upload_font( $item, $post_id, $item_val, $get_val ) {
		if ( $item['type'] == 'uploadFont' ) {
			echo '<div class="ux-cb-module-field-upload-fonts">';
			if ( $item['fields'] ) {
				foreach ( $item['fields'] as $field ) {
					echo '<div class="ux-cb-module-field-upload">';
					echo   '<input type="text" name="' .esc_attr( $item['name'] ). '_' .esc_attr( $field[1] ). '" placeholder="' .esc_attr( $field[0] ). '" class="regular-text" value="' .esc_attr( $item_val ). '">';
					echo   '<button type="button" class="button add">' . esc_html__( 'Upload', 'bm-builder' ). '</button>';
					echo   '<button type="button" class="button remove">' . esc_html__( 'Remove', 'bm-builder' ). '</button>';
					echo '</div>';
					
				}
			}
			echo '</div>';
		}
	}
	add_action( 'ux_cb_module_fields_field', 'ux_cb_module_field_upload_font', 10, 4 );
}

?>