<?php
header("Content-type: text/css; charset: UTF-8");
require_once('../../../../../../wp-load.php');

//Fonts
	// Content
echo seatheme_font_face_css();
?>
body { 
	font-family: "seafont-regular", "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-style: normal;
}

.mce-content-body { 
	font-size: 18px;
	font-weight: 300;
	font-style: normal;
}
<?php
	//Post & page content font
	foreach(array('family','spacing','line_height') as $key){
		echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_content', $key, 'body,.mce-content-body');
	}

	//Post & page content size
	echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_content', 'size', '.module-content .text_block,.module-content p,.ux-cb-module-content .note-editable p,.form-table td .note-editable p,.mce-content-body');

?>


.mce-content-body h1,
.mce-content-body h2,
.mce-content-body h3,
.mce-content-body h4,
.mce-content-body h5,
.mce-content-body h6 {
	font-weight: normal;
	font-style: normal;
	font-family: sans-serif;
	line-height: 1;
	margin: 20px 0 10px;
}
.mce-content-body h1 {
	font-size: 42px;
}

.mce-content-body h2 {
	font-size: 32px;
}

.mce-content-body h3 {
	font-size: 28px;
}

.mce-content-body h4 {
	font-size: 24px;
}

.mce-content-body h5 {
	font-size: 22px;
}

.mce-content-body h6 {
	font-size: 20px;
}
<?php
	//Content Heading
	//Post & page content heading 1-6 font/size/spacing/mobile size
	echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.text_block h1,.text_block h2,.text_block h3,.text_block h4,.text_block h5,.text_block h6,.wrap .text_block h1,.wrap .text_block h2,.wrap .text_block h3,.wrap .text_block h4,.wrap .text_block h5,.wrap .text_block h6,.mce-content-body h1,.mce-content-body h2,.mce-content-body h3,.mce-content-body h4,.mce-content-body h5,.mce-content-body h6');
	echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.mce-content-body h1,.mce-content-body h2,.mce-content-body h3,.mce-content-body h4,.mce-content-body h5,.mce-content-body h6,#poststuff .ux-cb-module-fields-container h1,#poststuff .ux-cb-module-fields-container h2,#poststuff .ux-cb-module-fields-container h3,#poststuff .ux-cb-module-fields-container h4,#poststuff .ux-cb-module-fields-container h5,#poststuff .ux-cb-module-fields-container h6,.ux-cb-module-fields-container h1,.ux-cb-module-fields-container h2,.ux-cb-module-fields-container h3,.ux-cb-module-fields-container h4,.ux-cb-module-fields-container h5,.ux-cb-module-fields-container h6,#poststuff .text_block h1,#poststuff .text_block h2,#poststuff .text_block h3,#poststuff .text_block h4,#poststuff .text_block h5,#poststuff .text_block h6');	
	echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading', 'family', '.module-content h1, .module-content h2, .module-content h3, .module-content h4, .module-content h5, .module-content h6');
	for ($x=1; $x<=6; $x++) {
		foreach(array('size','spacing','line_height') as $key){
			echo seatheme_get_font_assignment('_ux_cb_module_fonts_post_page_heading_' .$x, $key, '.mce-content-body h' .$x);  
		}
	}
?>



blockquote {
	position: relative;
	font-style: italic;
	line-height: 1.5;
	border-left: 2px solid currentColor;
	padding-left: 20px;
	margin-left: 0;
}

a {
	color: inherit;
	text-decoration: none;
}
/* bullet list */
.mce-content-body ul,
.mce-content-body ol {
	margin-bottom: 20px;
}

.mce-content-body ul ul,
.mce-content-body ol ol {
	margin-bottom: 0;
}

.mce-content-body ul li {
	list-style: disc;
	margin-left: 30px;
	margin-top: 10px;
}

.mce-content-body ol li {
	list-style: decimal;
	margin-left: 30px;
	margin-top: 10px;
} 
/* table */
.mce-content-body table,.mce-content-body th,.mce-content-body td {
	border: 1px solid #ccc;
	padding: 6px;
}

.mce-content-body th,.mce-content-body td {
	border-width: 0 1px 1px 0;
}

.mce-content-body table {
	border-width: 1px 0 0 1px;
	font-size: .8em;
	padding: 0;
	border-spacing: 0;
}

.mce-content-body dd {
	margin-bottom: 30px;
	margin-left: 0;
}

.mce-content-body dl dt {
	font-weight: bold;
}