<div id="ux-option-interface-help" class="wrap ux-option-about">
    <div class="icon32" id="icon-themes"><br></div>
    <h3 class="ux-option-title"><?php esc_html_e( 'Welcome to SEA', 'sea-theme' ); ?></h3>
	<div class="ux-option-des"><?php esc_html_e( 'SEA theme is now installed and ready to use with your WordPress site.', 'sea-theme' ); ?>
		<?php 
		$seaGetData = wp_get_theme(get_template()); 
		$seaGetDataVer = $seaGetData->get( 'Version' );
		?>
		<div class="ux-option-version">
			<span class="ux-option-version-icon"></span>
			<?php esc_html_e( 'Version: ', 'sea-theme' ); echo esc_html( $seaGetDataVer ); ?>
		</div>
	</div>
	
	<div class="ux-theme-box">
		<div class="ux-theme-tabs tabs-horizontal">
			<ul class="nav nav-tabs">
				<li>
					<a href="<?php echo admin_url( 'admin.php?page=theme-option-about' ); ?>" data-toggle="tab" data-target="open"><?php esc_html_e( 'What’s New', 'sea-theme' ); ?></a>
				</li>
				<li class="active">
					<a href="#content-about" data-toggle="tab"><?php esc_html_e( 'Help', 'sea-theme' ); ?></a>
				</li>
			</ul>

			<div class="tab-content">
				<div id="content-helo" class="tab-pane active">
					<div class="theme-option-field-region"> 
						<div class="ux-doc-link-wrap">
							
							<p>Please visit the Documentation website to help you get started. </p>
							<a href="https://doc.seatheme.net/theme/sea/" class="ux-doc-link">Check Documentation</a>

						</div>

						<div class="ux-option-faqs">
							<h4>Frequently Asked Questions</h4>
							<ul class="ux-option-faqs-ul">
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="hhttps://doc.seatheme.net/general-topics/how-to-set-frontpage/">How do I set up the homepage?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://doc.seatheme.net/theme/sea/how-to-set-logo-on-sea-wordpress-theme/">Upload my logo image</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://doc.seatheme.net/theme/sea/portfolio/single-portfolio/">How to create a project item?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://doc.seatheme.net/sea-content-builder-plugin/grid-masonry-grid-module/">How to build a portfolio page?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://doc.seatheme.net/sea-content-builder-plugin/group-module/#background">How to create a fullscreen wrap?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://seatheme.net/forums/topic/cant-get-the-mail-from-contact-form/">Can't get the mail from contact form?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://seatheme.net/forums/topic/how-to-find-wordpress-postpage-id/">How to find page/post id?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://seatheme.net/forums/topic/child-theme-guidance/">Child Theme guidance</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://seatheme.net/forums/topic/trouble-in-uploading-photos-http-error/">Trouble in Uploading Photos – HTTP Error</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://seatheme.net/forums/topic/how-to-find-purchase-code-on-themeforest/">How to find purchase code on Themeforest?</a></li>
								<li class="ux-option-faqs-li"><a target="_blank" rel="noopener noreferrer" href="https://doc.seatheme.net/theme/sea/blog/post-excerpt-and-meta-data/">How to find Excerpt?</a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>