<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    
    <?php //** Do Hook Web Head
	/**
	 * @hooked  seatheme_interface_webhead_viewport - 10
	 */
	do_action('seatheme_interface_webhead'); ?>
    
    <?php wp_head(); ?>
  </head>
  
  <body <?php body_class(); ?>>

  	<div class="wrap-all">
      
      <?php //** Do Hook Wrap before
	  /**
	   * @hooked  seatheme_interface_page_loading - 15
	   * @hooked  seatheme_interface_jplayer - 20
	   * @hooked  seatheme_interface_wrap_outer_before - 25
	   */
	  do_action('seatheme_interface_wrap_before'); ?>
      
      <?php //** Do Hook header
	  /**
	   * @hooked  seatheme_interface_header - 10
	   */
	  do_action('seatheme_interface_header'); 
	  //** Do Hook menu_hidden_panel
	  /**
	   * @hooked  seatheme_interface_menu_hidden_panel - 10
	   */
	  do_action('seatheme_interface_menu_hidden_panel'); ?>
		
	  <?php //** Do Hook Content before
      /**
       * @hooked  seatheme_interface_content_before - 5
	   * @hooked  seatheme_interface_archive_titlewrap - 25
       */
      do_action('seatheme_interface_content_before'); ?>