<?php 
$social_medias = seatheme_get_option('theme_option_show_social_medias');
$social_newtab = seatheme_get_option('theme_option_show_social_medias_new_tab');
$target_blank  = $social_newtab ? ' target="_blank"' : false;
	
if ( $social_medias && isset( $social_medias['icontype'] ) ) {
	$icon_type = $social_medias['icontype'];  ?>
	<div class="footer-social">
		<ul class="socialmeida clearfix">						
			<?php foreach($icon_type as $num => $type){
				$icon = $social_medias['icon'][$num];
				$url = $social_medias['url'][$num];
				$tip = $social_medias['tip'][$num];
				$tip_wrap =  $tip ? '<span class="socialmeida-text">'.esc_html( $tip ).'</span>' : false;
				$width = (100 / count($icon_type)). '%';  ?>
				
				<li class="socialmeida-li">
                    <a title="<?php echo esc_attr( $tip ); ?>" href="<?php echo esc_url( $url ); ?>" class="socialmeida-a" <?php echo sanitize_text_field( $target_blank ); ?>>
                        <?php      
                        if ( $icon ) { 
                        	echo '<span class="' .esc_attr( $icon ). '"></span> '; 
                        }
                        echo wp_kses( $tip_wrap, seatheme_shapeSpace_allowed_html() ); 
                        ?>
                    </a>
                </li>
			<?php } ?>
		</ul>
	</div>
<?php } ?>