<?php 
$header_icon_style = seatheme_get_option('theme_option_header_icon_style') ? seatheme_get_option('theme_option_header_icon_style') : 'header-icon-default';
$social_portfolio_icon_mobile = seatheme_get_option( 'theme_option_portfolio_icon_mobile' );
$social_portfolio_icon_mobile_class = $social_portfolio_icon_mobile ? '' : 'hidden-mobile';
?>
<div class="header-portfolio-icon <?php echo sanitize_html_class( $social_portfolio_icon_mobile_class ); ?>">
    <a class="portfolio-icon" href="javascript:;" data-postid="<?php echo esc_attr(get_the_ID()); ?>">

    <?php if ( $header_icon_style ==='header-icon-classic' ) { ?>

        <svg class="header-icon-svg header-icon-svg-9dots" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 380 380">
            <g class="header-dot1"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot2"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot3"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot4"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot5"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot6"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot7"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot8"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-dot9"><rect class="headericon-rect" width="380" height="50" /></g>
        </svg>

    <?php } else { ?>

        <svg class="header-icon-svg header-icon-svg-6dots" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 380 380">
            <g class="header-square6"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-square5"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-square4"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-square3"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-square2"><rect class="headericon-rect" width="380" height="50" /></g>
            <g class="header-square1"><rect class="headericon-rect" width="380" height="50" /></g>
        </svg>
    <?php } ?>
    </a>
</div>